autofs-5.1.3 - be silent about sss library not found

From: Ian Kent <raven@themaw.net>

When sss is set as an nsswitch source but the sss autofs shared library
isn't found then sssd is probably not installed so it's essentially an
unconfigured source.

So be silent about the library not being found.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG            |    1 +
 modules/lookup_sss.c |    4 +---
 2 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index b25d7e6f..3033c511 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -30,6 +30,7 @@ xx/xx/2017 autofs-5.1.4
 - reset master map list on startup retry.
 - fix nisplus lookup init not configured check.
 - make open_lookup() error handling more consistent.
+- be silent about sss library not found.
 
 24/05/2017 autofs-5.1.3
 =======================
diff --git a/modules/lookup_sss.c b/modules/lookup_sss.c
index 15a5ca48..88ec1693 100644
--- a/modules/lookup_sss.c
+++ b/modules/lookup_sss.c
@@ -74,10 +74,8 @@ static int open_sss_lib(struct lookup_context *ctxt)
 	}
 
 	dh = dlopen(dlbuf, RTLD_LAZY);
-	if (!dh) {
-		logerr(MODPREFIX "failed to open %s: %s", dlbuf, dlerror());
+	if (!dh)
 		return 1;
-	}
 	ctxt->dlhandle = dh;
 
 	ctxt->setautomntent = (setautomntent_t) dlsym(dh, "_sss_setautomntent");
